<% layout('index') %>
<h1 class="text-danger">Salary Management of staff</h1>

<a href="/payslip/generate">
    <button type="button" class="btn btn-danger mt-3">Generate Payslip</button>
</a>

<div class="container mt-4">
    <table class="table table-hover table-responsive text-danger">
        <thead>
            <tr>
                <th scope="col">No.</th>
                <th scope="col">Staff Id</th>
                <th scope="col">Date Issued</th>
                <th scope="col">Basic</th>
                <th scope="col"></th>
            </tr>
        </thead>
        <tbody>
            <% if (payslips == null || payslips.length == 0) { %>
                <tr>
                    <td colspan="8">No data</td>
                </tr>
            <% } else { %>
                <% var i = 1; %>
                <% for (let payslip of payslips) { %>
                <tr class="table-light">
                    <th scope="row"><%= i++ %></th>
                    <td><%= payslip.staff_id %></td>
                    <td><%= payslip.date_issued.substr(0, 10) %></td>
                    <td><%= payslip.basic %></td>
                    <td></td>
                </tr>
                <% } %>
            <% } %>
        </tbody>
    </table>
</div>